Subject: bug#23461: perl-mode: Displaying HERE-docs as strings instead of comments [PATCH]

From: Stefan Monnier <[email-masked]>
Date: Wed, 23 Dec 2020 14:06:01 -0500

> I suspect that shifting the "here-doc start" to the next line (in the
> "#\n" case only) and placing a `syntax-multiline` property on all three
> chars (#, \n, and the first char of the next line) will be our least
> bad option.

BTW, the `syntax-multiline` property only "works" if/after you add
`syntax-propertize-multiline` to `syntax-propertize-extend-region-functions`.

        Stefan